from ase.constraints import FixAtoms
from ase.visualize import view
from ase.calculators.vasp import Vasp
import numpy as np 
from ase.io import read
#creating MODCAR'
TS_path=read('POSCAR')
"""
TS_vectorpath=read('../04/CONTCAR')
print('creating MODCAR file using %s' % TS_path)
mode=0.1*np.array(TS_vectorpath.get_positions()-TS_path.get_positions())
np.savetxt('MODECAR',mode,fmt='%17.5f')
#Fixing atom constraints'
c1=FixAtoms(mask=[atom.z<14. for atom in TS_path])
TS_path.set_constraint(c1)
TS_path.set_constraint(c1)
"""
#vasp settings
vasp_settings = {'xc': 'PBE',        #Functional to use
                 'pp': 'PBE',         #Pseudopotential used
                 'reciprocal':False, #Projection operators evaluated in real space if False
                 'kpts': (3,3,1),    #K point mesh
                 'setups': {'Zr': '_sv'}} #orbitals to include for Zr    

calc=Vasp(**vasp_settings)
calc.initialize(TS_path)
calc.write_kpoints()
calc.write_potcar()
calc.run()

print("Starting dimer calculation.")
print(TS_path.get_potential_energy())

